import { ListenableEvent } from "./ListenableEvent";
export declare abstract class Log {
    static readonly eventWarn: ListenableEvent<string, null>;
    static readonly eventError: ListenableEvent<{
        message: string;
        error?: unknown;
    }, null>;
    static debug(pMsg: string): void;
    static info(pMsg: string): void;
    static warn(pMsg: string): void;
    static error(pMsg: string, pError?: unknown): void;
    private static FormatMsg;
}
export default Log;
